aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Schubert <mschu.dev@gmail.com>2024-07-11 12:46:58 +0000
committerAndrew Ammerlaan <andrewammerlaan@gentoo.org>2024-07-11 14:51:09 +0200
commit416b4a0a4bdb5106844520dcba65c4d061975a9f (patch)
tree8c10debefda1f6ce975fca8235e6c9a304a4ff14
parentdev-python/snakemake: version bump 8.16.0 (diff)
downloadsci-master.tar.gz
sci-master.tar.bz2
sci-master.zip
dev-python/datrie: fix gcc14 compileHEADmaster
Signed-off-by: Michael Schubert <mschu.dev@gmail.com> Closes: https://github.com/gentoo/sci/pull/1280 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
-rw-r--r--dev-python/datrie/datrie-0.8.2-r1.ebuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/dev-python/datrie/datrie-0.8.2-r1.ebuild b/dev-python/datrie/datrie-0.8.2-r1.ebuild
index 3bbd197d7..94fcd2777 100644
--- a/dev-python/datrie/datrie-0.8.2-r1.ebuild
+++ b/dev-python/datrie/datrie-0.8.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -28,5 +28,7 @@ distutils_enable_tests pytest
python_prepare_all() {
# do not depend on pytest-runner
sed -i "/pytest-runner/d" setup.py || die
+ # https://github.com/pytries/datrie/pull/99
+ sed -i "12s/struct AlphaMap:/ctypedef struct AlphaMap:/" src/cdatrie.pxd || die
distutils-r1_python_prepare_all
}